package com.ruoyi.project.training.service;

import java.util.List;
import com.ruoyi.project.training.domain.TTrainingrecords;

/**
 * 培训成绩Service接口
 * 
 * @author ruoyi
 * @date 2020-12-02
 */
public interface ITTrainingrecordsService 
{
    /**
     * 查询培训成绩
     * 
     * @param id 培训成绩ID
     * @return 培训成绩
     */
    public TTrainingrecords selectTTrainingrecordsById(Long id);

    /**
     * 查询培训成绩列表
     * 
     * @param tTrainingrecords 培训成绩
     * @return 培训成绩集合
     */
    public List<TTrainingrecords> selectTTrainingrecordsList(TTrainingrecords tTrainingrecords);

    /**
     * 查询培训成绩列表
     *
     * @param tTrainingrecords 培训成绩
     * @return 培训成绩集合
     */
    public List<TTrainingrecords> selectList(TTrainingrecords tTrainingrecords);

    /**
     * 根据员工号查询培训成绩列表
     *
     * @param id 员工号
     * @return 培训成绩集合
     */
    public TTrainingrecords selectTTrainingrecordsBystaffId(Long id);

    /**
     * 新增培训成绩
     * 
     * @param tTrainingrecords 培训成绩
     * @return 结果
     */
    public int insertTTrainingrecords(TTrainingrecords tTrainingrecords);

    /**
     * 修改培训成绩
     * 
     * @param tTrainingrecords 培训成绩
     * @return 结果
     */
    public int updateTTrainingrecords(TTrainingrecords tTrainingrecords);

    /**
     * 批量删除培训成绩
     * 
     * @param ids 需要删除的培训成绩ID
     * @return 结果
     */
    public int deleteTTrainingrecordsByIds(Long[] ids);

    /**
     * 删除培训成绩信息
     * 
     * @param id 培训成绩ID
     * @return 结果
     */
    public int deleteTTrainingrecordsById(Long id);
}
